QGIS Application - Bug report #11755
Real precision (Shapefile)
2014-11-28 04:32 AM - Loic BARTOLETTI

Status: Closed
Priority: Normal
Assignee: Jurgen Fischer
Category:

Affected QGIS version:2.6.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 19987

Description

| think there is a bug with QGis 2.6 and dev (a68958f) with real attribute.

Into a column with real QGis round the last digit.

Example :

Add a column ELEVATION real "Length 6" and "Precision 2"
Add a point and into attribute "1000.25"

After saving the modification Qgis show as attribute "1000.20"

Normaly the "point" isn't into length.

Related issues:

Related to QGIS Application - Bug report # 12985: Shapefile: The length of re...
Related to QGIS Application - Bug report # 15188: Importing .shp files into P...

Closed
Closed

2015-06-17
2016-07-01

Associated revisions

Revision 2fcbc8bb - 2015-06-15 12:38 AM - Jiirgen Fischer

ogr provider: increase width by one for decimal point if precision is given (fixes #11755)

Revision c9803324 - 2015-06-29 10:33 PM - Juirgen Fischer

ogr provider: increase width by one for decimal point if precision is given
(fixes #11755, fixes #12985)

(cherry picked from commit 2fcbc8b and 513cfad)

History

#1 - 2015-06-08 03:36 PM - Jiirgen Fischer
- Pull Request or Patch supplied changed from No to Yes

See PR #2122

#2 - 2015-06-14 03:38 PM - Jiirgen Fischer
- Status changed from Open to Closed

2025-06-08
https://github.com/qgis/QGIS/pull/2122

Fixed in changeset commit:"2fcbc8bb725f45ba1d0196a95c7f21c90894a0d6".

#3 - 2015-10-15 04:42 AM - Loic BARTOLETTI
- Assignee set to Jirgen Fischer
- Status changed from Closed to Reopened

This hack preserve last digit but allow unhautorized value. When you add a value you can do something like this: "12345.78". Normally, the max is
"9999.99".

Probleme is that when you create a field with real(6,2) QGis create a DBF with real(7,2). Also, ShapeFile with real(6,2) are shown with real(5.2). You can

see that with ogrinfo.

Thanks.

#4 - 2015-10-15 01:43 PM - Jiirgen Fischer
- Resolution set to fixed/implemented

- Status changed from Reopened to Closed

Loic BARTOLETTI wrote:
This hack preserve last digit but allow unhautorized value. When you add a value you can do something like this: "12345.78". Normally, the max is
"9999.99".

Probleme is that when you create a field with real(6,2) QGis create a DBF with real(7,2). Also, ShapeFile with real(6,2) are shown with real(5.2). You

can see that with ogrinfo.

Actually that is just what the fix is supposed to do. QGIS (and for instance PostgreSQL) don't count the decimal point in - so 12345.78 corresponds to
width 7, precision 2. OGR however includes the decimal point in the width - so 7,2 in QGIS has to become 8,2 in OGR.
